classification
Title: PEP 3121 refactoring applied to binascii module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, loewis, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 08:26 by Robin.Schreiber, last changed 2020-09-07 13:56 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
binascii_pep3121_v0.patch Robin.Schreiber, 2012-08-16 08:26
Messages (2)
msg168354 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 08:26
Changes proposed in PEP3121 have now been applied to the binascii module!
msg376486 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-07 13:52
Fixed by:

commit 33e71e01e95506cf8d93fd68251fc56352bc7b39
Author: Marcel Plch <mplch@redhat.com>
Date:   Wed May 22 13:51:26 2019 +0200

    bpo-31862: Port binascii to PEP 489 multiphase initialization (GH-4108)
History
Date User Action Args
2020-09-07 13:56:18vstinnersetresolution: fixed -> duplicate
2020-09-07 13:55:42vstinnersetsuperseder: Port the standard library to PEP 489 multiphase initialization -> Py_Finalize() doesn't clear all Python objects at exit
2020-09-07 13:52:38vstinnersetstatus: open -> closed

superseder: Port the standard library to PEP 489 multiphase initialization

nosy: + vstinner
messages: + msg376486
resolution: fixed
stage: resolved
2012-11-08 13:49:48Robin.Schreibersetkeywords: + pep3121, - patch
nosy: + loewis
2012-08-27 03:42:36belopolskylinkissue15787 dependencies
2012-08-16 08:26:51Robin.Schreibercreate